cubes:
  - name: product_attributes_dict_item
    sql_table: inventory_v2.product_attributes_dict_item
    data_source: default

    joins:
      - name: dict_item
        sql: "{CUBE}.dictItemId = {dict_item.id}"
        relationship: many_to_one

      - name: product
        sql: "{CUBE}.productId = {product.id}"
        relationship: many_to_one

    dimensions:
      - name: dictItemId
        sql: dictItemId
        type: number
        primary_key: true

    measures:
      - name: count
        type: count

    pre_aggregations:
      # Pre-aggregation definitions go here.
      # Learn more in the documentation: https://cube.dev/docs/caching/pre-aggregations/getting-started

